List App Tasks

List App Tasks
List tasks for an app

Retrieve tasks for an app.

Request
URI
GET
https://api.example.local/v3/apps/{guid}/tasks
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string
created_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

created_ats example
2021-01-01T00:00:00Z
string
updated_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

updated_ats example
2021-01-01T00:00:00Z
string
label_selector
Optional

A query string containing a list of label selector requirements

label_selector example
environment=production
string of array
guids
Optional

Comma-delimited list of task guids to filter by

string of array
names
Optional

Comma-delimited list of task names to filter by

string of array
states
Optional

Comma-delimited list of task states to filter by

integer of array
sequence_ids
Optional

Comma-delimited list of sequence ids to filter by


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TaskList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "name": "string",
            "command": "string",
            "state": "string",
            "sequence_id": 0,
            "memory_in_mb": 0,
            "disk_in_mb": 0,
            "droplet_guid": "string",
            "result": {
                "failure_reason": "string"
            },
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

A task is a one-off process that can be run in the Cloud Foundry environment.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/tasks